Skip to Content
SeyloDocs

Create a folder

POST
/api/v1/files.mkdir

Creates a folder, and its missing parents when parents is set.

Needs files.write on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$
volume*string
Length1 <= length <= 64
nodeId?string

Panel-issued id.

Match^[a-z0-9]{16}$
path*string

Relative to the volume root; "" or "." is the root.

Lengthlength <= 4096
parents?boolean
Defaulttrue

Response Body

Success.

application/json
  1. response
Example Request
curl -X POST 'https://example.com/api/v1/files.mkdir' \  -H 'Content-Type: application/json' \  -d '{  "serviceId": "string",  "volume": "string",  "path": "string"}'
Example Response
{}